Subject: bug#55368: 29.0.50; Unreliable input-pending-p and throw-on-input on Emacs 29 / pgtk in Wayland

From: Po Lu <[email-masked]>
Date: Sat, 14 May 2022 08:54:44 +0800

Vijay Marupudi <[email-masked]> writes:

> I cannot reproduce the bug anymore, not sure why. The screencasts I
> had provided in the Github issue show that experienced it, but for
> some reason I don't see it anymore. I tried bisecting the commits, and
> I couldn't find the commit with the bug anymore.
>
> Sorry about that. There might be numerous reason why I can't replicate
> this bug anymore One reason could be that there was some bug fixed in
> the packages that had been updated since then. I have included the
> list of packages that have been upgraded for archival reasons.
>
> Additionally, it is possible that I might have forgotten to call
> autoreconf -vif and ./configure --options ... before compiling the
> version of Emacs and there might have been some stale files linked in.
> I have no way of checking this now.

I would rather keep this bug open for a little more time, in case you
(or someone else) runs into the bug again.

Thanks for trying.